Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.dataLayer.calculations
Class myTree

    java.lang.Object
      pipe.dataLayer.calculations.myTree

public class myTree
extends java.lang.Object

Author:
  Matthew To change the template for this generated type comment go to Window - Preferences - Java - Code Generation - Code and Comments

Field Summary
`PNMatrix` | `CMinus`
`PNMatrix` | `CPlus`
`myNode[]` | `EndNodes`
`boolean` | `Found_An_Omega`
`boolean` | `more_Than_One_Token`
`boolean` | `no_Enabled_Transitions`
`int` | `nodeCount`
`boolean[]` | `nodes`
`int` | `number_places`
`int` | `number_transitions`
`int[]` | `pathToDeadlock`
`myNode` | `root`
`boolean` | `tooBig`
`boolean[]` | `transitions`

Constructor Summary
`myTree(int[] tree_root, PNMatrix plus, PNMatrix minus)`
`myTree(int[] tree_root, PNMatrix plus, PNMatrix minus, StateList statespace, DataLayer pnmldata)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Found_An_Omega

    public boolean Found_An_Omega

### more_Than_One_Token

    public boolean more_Than_One_Token

### no_Enabled_Transitions

    public boolean no_Enabled_Transitions

### root

    public myNode root

### transitions

    public boolean[] transitions

### nodes

    public boolean[] nodes

### nodeCount

    public int nodeCount

### CPlus

    public PNMatrix CPlus

### CMinus

    public PNMatrix CMinus

### number_transitions

    public int number_transitions

### number_places

    public int number_places

### EndNodes

    public myNode[] EndNodes

### pathToDeadlock

    public int[] pathToDeadlock

### tooBig

    public boolean tooBig

Constructor Detail

### myTree

    public myTree(int[] tree_root,
                  PNMatrix plus,
                  PNMatrix minus)
           throws TreeTooBigException

### myTree

    public myTree(int[] tree_root,
                  PNMatrix plus,
                  PNMatrix minus,
                  StateList statespace,
                  DataLayer pnmldata)
           throws TreeTooBigException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD